Name:           portecle
Version:        1.3
Release:        3%{?dist}
Summary:        Multipurpose keystore and certificate tool

Group:          Applications/System
License:        GPLv2+
URL:            http://portecle.sourceforge.net/
Source0:        http://downloads.sourceforge.net/portecle/%{name}-%{version}-src.zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  ant
BuildRequires:  bouncycastle >= 1.38
BuildRequires:  desktop-file-utils
Requires:       bouncycastle >= 1.38
Requires:       jpackage-utils
Requires:       hicolor-icon-theme
# Technically, any java version >= 1.4 would do, but gcj (1.5) won't;
# requiring >= 1.6 is an attempt at expressing that.
BuildRequires:  java-devel >= 1.6.0
Requires:       jre >= 1.6.0

%description
Portecle is a user friendly GUI application for creating, managing and
examining keystores, keys, certificates, certificate requests,
certificate revocation lists and more.


%prep
%setup -q -n %{name}-%{version}-src
ln -s %{_javadir}/bcprov.jar lib/


%build
%ant -Djar.classpath= jar


%install
rm -rf $RPM_BUILD_ROOT

install -Dpm 644 build/portecle.jar $RPM_BUILD_ROOT%{_javadir}/portecle.jar

install -Dpm 644 src/icons/portecle.png \
    $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/portecle.png
desktop-file-install --vendor=fedora --mode=644 \
    --dir=$RPM_BUILD_ROOT%{_datadir}/applications src/etc/portecle.desktop

%jpackage_script net.sf.portecle.FPortecle "" "" bcprov:portecle portecle portecle

chmod +x $RPM_BUILD_ROOT%{_bindir}/portecle


%clean
rm -rf $RPM_BUILD_ROOT


%post
update-desktop-database &> /dev/null
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi
:

%postun
update-desktop-database &> /dev/null
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi
:


%files
%defattr(-,root,root,-)
%doc README.txt LICENSE.txt NEWS.txt
%{_bindir}/portecle
%{_javadir}/portecle.jar
%{_datadir}/applications/*-portecle.desktop
%{_datadir}/icons/hicolor/32x32/apps/portecle.png


%changelog
* Fri Mar 14 2008 Ville Skyttä <ville.skytta at iki.fi> - 1.3-3
- Adjust to icedtea->openjdk changes.

* Thu Jan 10 2008 Ville Skyttä <ville.skytta at iki.fi> - 1.3-2
- Update GTK icon cache in post(un)install scriptlets (#425834).

* Sun Dec 16 2007 Ville Skyttä <ville.skytta at iki.fi> - 1.3-1
- First build.
